net.minecraft.client.renderer.tileentity

## Class TileEntityRenderer

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntityRenderer

-     public class TileEntityRenderer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityLivingBase` | `entityLivingPlayer`
    `static TileEntityRenderer` | `instance` The static instance of TileEntityRenderer
    `float` | `playerPitch`
    `double` | `playerX` The player's X position in this rendering context
    `double` | `playerY` The player's Y position in this rendering context
    `float` | `playerYaw`
    `double` | `playerZ` The player's Z position in this rendering context
    `TextureManager` | `renderEngine` The RenderEngine instance used by the TileEntityRenderer
    `Map` | `specialRendererMap` A mapping of TileEntitySpecialRenderers used for each TileEntity that has one
    `static double` | `staticPlayerX` The player's current X position (same as playerX)
    `static double` | `staticPlayerY` The player's current Y position (same as playerY)
    `static double` | `staticPlayerZ` The player's current Z position (same as playerZ)
    `World` | `worldObj` Reference to the World object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheActiveRenderInfo(World par1World, TextureManager par2TextureManager, FontRenderer par3FontRenderer, EntityLivingBase par4EntityLivingBase, float par5)` Caches several render-related references, including the active World, RenderEngine, FontRenderer, and the camera- bound EntityLiving's interpolated pitch, yaw and position.
    `FontRenderer` | `getFontRenderer()`
    `TileEntitySpecialRenderer` | `getSpecialRendererForClass(Class par1Class)` Returns the TileEntitySpecialRenderer used to render this TileEntity class, or null if it has no special renderer
    `TileEntitySpecialRenderer` | `getSpecialRendererForEntity(TileEntity par1TileEntity)` Returns the TileEntitySpecialRenderer used to render this TileEntity instance, or null if it has no special renderer
    `boolean` | `hasSpecialRenderer(TileEntity par1TileEntity)` Returns true if this TileEntity instance has a TileEntitySpecialRenderer associated with it, false otherwise.
    `void` | `renderTileEntity(TileEntity par1TileEntity, float par2)` Render this TileEntity at its current position from the player
    `void` | `renderTileEntityAt(TileEntity par1TileEntity, double par2, double par4, double par6, float par8)` Render this TileEntity at a given set of coordinates
    `void` | `setWorld(World par1World)` Sets the world used by all TileEntitySpecialRender instances and notifies them of this change.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### specialRendererMap

          public Map specialRendererMap

      A mapping of TileEntitySpecialRenderers used for each TileEntity that has one

    - #### instance

          public static TileEntityRenderer instance

      The static instance of TileEntityRenderer

    - #### staticPlayerX

          public static double staticPlayerX

      The player's current X position (same as playerX)

    - #### staticPlayerY

          public static double staticPlayerY

      The player's current Y position (same as playerY)

    - #### staticPlayerZ

          public static double staticPlayerZ

      The player's current Z position (same as playerZ)

    - #### renderEngine

          public TextureManager renderEngine

      The RenderEngine instance used by the TileEntityRenderer

    - #### worldObj

          public World worldObj

      Reference to the World object.

    - #### entityLivingPlayer

          public EntityLivingBase entityLivingPlayer

    - #### playerYaw

          public float playerYaw

    - #### playerPitch

          public float playerPitch

    - #### playerX

          public double playerX

      The player's X position in this rendering context

    - #### playerY

          public double playerY

      The player's Y position in this rendering context

    - #### playerZ

          public double playerZ

      The player's Z position in this rendering context

  - ### Method Detail

    - #### getSpecialRendererForClass

          public TileEntitySpecialRenderer getSpecialRendererForClass(Class par1Class)

      Returns the TileEntitySpecialRenderer used to render this TileEntity class, or null if it has no special renderer

    - #### hasSpecialRenderer

          public boolean hasSpecialRenderer(TileEntity par1TileEntity)

      Returns true if this TileEntity instance has a TileEntitySpecialRenderer associated with it, false otherwise.

    - #### getSpecialRendererForEntity

          public TileEntitySpecialRenderer getSpecialRendererForEntity(TileEntity par1TileEntity)

      Returns the TileEntitySpecialRenderer used to render this TileEntity instance, or null if it has no special renderer

    - #### cacheActiveRenderInfo

          public void cacheActiveRenderInfo(World par1World,
                                   TextureManager par2TextureManager,
                                   FontRenderer par3FontRenderer,
                                   EntityLivingBase par4EntityLivingBase,
                                   float par5)

      Caches several render-related references, including the active World, RenderEngine, FontRenderer, and the camera- bound EntityLiving's interpolated pitch, yaw and position. Args: world, renderengine, fontrenderer, entityliving, partialTickTime

    - #### renderTileEntity

          public void renderTileEntity(TileEntity par1TileEntity,
                              float par2)

      Render this TileEntity at its current position from the player

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity par1TileEntity,
                                double par2,
                                double par4,
                                double par6,
                                float par8)

      Render this TileEntity at a given set of coordinates

    - #### setWorld

          public void setWorld(World par1World)

      Sets the world used by all TileEntitySpecialRender instances and notifies them of this change.

    - #### getFontRenderer

          public FontRenderer getFontRenderer()